%global momorel 4

Summary: Tool to create windows using XML language
Name:    xmlwidget
Version: 1.1
Release: %{momorel}m%{?dist}
Group:   Development/Tools
License: GPL
URL:     http://qtoctave.wordpress.com/
Source0: https://forja.rediris.es/frs/download.php/590/%{name}-%{version}.tar.gz
NoSource: 0
Patch0:  %{name}-%{version}-cmake26.patch
BuildRequires: qt-devel glib2-devel cmake
Requires: qt glib2
#Requires: python pygtk2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
XmlWidget can create windows using XML languaje. XML window description is sended to XmlWidget using standard input. Events are returned using standard output.

There are two versions. Qt4 version (/usr/bin/xmlwidget-qt4) and Gtk2 version (/usr/bin/xmlwidget-gtk2).


%prep
%setup -q

%patch0 -p1 -b .cmake26

%build
pushd qt4
cmake "-DCMAKE_CXX_FLAGS_RELEASE:STRING=%{optflags} -Wall -pipe" "-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}" .
make
popd

%install
rm -rf %{buildroot}
pushd qt4
make DESTDIR=%{buildroot} install
popd
#qt4 version
mv %{buildroot}/%{_bindir}/xmlwidget %{buildroot}/%{_bindir}/xmlwidget-qt4
install -m 755 gtk2/xmlwidget.py %{buildroot}/%{_bindir}/xmlwidget-gtk2
pushd %{buildroot}/%{_bindir}
# default qt4
ln -s xmlwidget-qt4 xmlwidget
ln -s xmlwidget-qt4 xmlwidget-qt
ln -s xmlwidget-gtk2 xmlwidget-gtk
popd

# for doc
cp -f gtk2/readme.txt gtk2/readme-gtk2.txt 
cp -f qt4/readme.txt qt4/readme-qt4.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme.txt LICENSE_GPL.txt doc/*.txt examples
%doc gtk2/readme-gtk2.txt qt4/readme-qt4.txt
%{_bindir}/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-4m)
- rebuild against rpm-4.6

* Thu Jul 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-3m)
- apply cmake26.patch to enable build

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-2m)
- rebuild against qt-4.4.0-1m

* Sat Apr 19 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1-1m)
- import to Momonga (for qtoctave)
